<?php
require_once('../../system/configuration.php');
require(PATH_SYSTEM.'core.php');
try 
{

	$_SESSION['user']->userCheckAccess(LEVEL_CUSTOMER);
	
	// Initialize the hosting
	if ( isset($_GET['action']) and textVerification::verifHostingID($_GET['action']) ) {
		$_SESSION['hosting']->userSetCurrentHosting($_GET['action']);
		$_SESSION['hosting']->userInitializeHosting();
	} else redirect('myhostings.xhtml');
	
	// Check autorization for the specified hosting
	$_SESSION['hosting']->userCheckAccess();
	
	// Re-initialize the sidebar 
	$_SESSION['template']->userSetRightsDisplay();
	
	// Load CSS
	$_SESSION['template']->loadCSS(array('hosting.css'));

	// Template
	$_SESSION['template']->loadTemplate('_contentbegin');
	$_SESSION['template']->loadTemplate('hosting/hosting');
	$_SESSION['template']->loadTemplate('_contentend');
	$_SESSION['template']->getWords(array('sql' => $_SESSION['database']->executed_req));
	$_SESSION['template']->parseTemplate();
} catch (myException $error) {
	$error->displayErrorMessage();
}
?>
